/**
 * Returns `true` if `value` is a valid JWT.
 *
 * JWTs contain three [Base64URL-encoded](https://base64.guru/standards/base64url) sections
 * separated by periods (`.`).
 *
 * **Pattern Notes:**
 * - The minimum length is 2 characters per section.
 * - Hyphen literals are at the end of their groups to avoid unintentional range creation.
 */
export declare const isValidJWT: import("./_helpers.js").ValidatorFn<RegExp>;
