"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidJWT = void 0;
const _helpers_js_1 = require("./_helpers.js");
/**
 * Returns `true` if `value` is a valid JWT.
 *
 * JWTs contain three [Base64URL-encoded](https://base64.guru/standards/base64url) sections
 * separated by periods (`.`).
 *
 * **Pattern Notes:**
 * - The minimum length is 2 characters per section.
 * - Hyphen literals are at the end of their groups to avoid unintentional range creation.
 */
exports.isValidJWT = (0, _helpers_js_1.getValidatorFn)(/^([a-zA-Z0-9_-]{2,}\.){2}[a-zA-Z0-9_-]{2,}$/);
