"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidHttpURL = exports.isValidURL = void 0;
const _helpers_js_1 = require("./_helpers.js");
/**
 * Returns `true` if `value` is a valid absolute or relative URL.
 *
 * > The regex pattern used in this function is _protocol agnostic_ and will match any URL
 * > that starts with a valid protocol comprised of 2-17 ASCII alphabetic characters.
 */
exports.isValidURL = (0, _helpers_js_1.getValidatorFn)(/^(([a-zA-Z]{2,17}:\/\/)?[-a-zA-Z0-9@:%._+~#=]{2,256}(\.[a-zA-Z]{2,6})?(:[0-9]+)?\b([-a-zA-Z0-9@:%_+.~#?&//=]{0,1700})?)$/);
/**
 * Returns `true` if `value` is a valid absolute http/https URL.
 */
exports.isValidHttpURL = (0, _helpers_js_1.getValidatorFn)(/^(http(s)?:\/\/[-a-zA-Z0-9@:%._+~#=]{2,256}(\.[a-zA-Z]{2,6})?(:[0-9]+)?\b([-a-zA-Z0-9@:%_+.~#?&//=]{0,1700})?)$/);
